package ru.vyatsu.qr_access_admin.common.validation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = IsAfterValidator.class)
@Documented
public @interface IsAfter {
    String message() default "{date.time.is.after.validation}";

    String dateTime() default "NOW";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
